javax.enterprise.concurrent

## Class AbortedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.concurrent.ExecutionException
      - - javax.enterprise.concurrent.AbortedException

- All Implemented Interfaces:
    Serializable

      public class AbortedException
      extends ExecutionException
      implements Serializable

  Exception indicating that the result of a task cannot be retrieved because the task failed to run for some reason other than being cancelled.

  Use the `Throwable.getCause()` method to determine why the task was aborted.

  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbortedException()` Constructs an AbortedException with `null` as its detail message.
    `AbortedException(String message)` Constructs an AbortedException exception with the specified detail message.
    `AbortedException(String message, Throwable cause)` Constructs an AbortedException exception with the specified detail message and cause.
    `AbortedException(Throwable cause)` Constructs an AbortedException exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortedException

          public AbortedException()

      Constructs an AbortedException with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### AbortedException

          public AbortedException(String message,
                          Throwable cause)

      Constructs an AbortedException exception with the specified detail message and cause.

      Note that the detail message associated with cause is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### AbortedException

          public AbortedException(String message)

      Constructs an AbortedException exception with the specified detail message.

      The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### AbortedException

          public AbortedException(Throwable cause)

      Constructs an AbortedException exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.